import Vue from 'vue'
import axios from 'axios'
import VyhladavanieComponent from './App'

new Vue({
  el: '#vyhladavanieApp',
  components: {
    VyhladavanieComponent
  },
  mounted: function () {
    window.axios = axios
    window.axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';
    window.axios.defaults.baseURL = '/rest/vzdelavanie/kniznica/'

    let token = document.head.querySelector('meta[name="csrf-token"]');

    if (token) {
      window.axios.defaults.headers.common['X-CSRF-TOKEN'] = token.content;
    } else {
      console.error('CSRF token not found: https://laravel.com/docs/csrf#csrf-x-csrf-token');
    }
  }
})
